Bug 52472 - printconf-gui crashes with an xml error
Summary: printconf-gui crashes with an xml error
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: printconf (Show other bugs)
(Show other bugs)
Version: roswell
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-24 02:13 UTC by Tony Placilla
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-26 14:29:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tony Placilla 2001-08-24 02:13:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-2 i686)

Description of problem:
when calling printconf-gui OR tui from an xterm it fails. the error appears
to be a missing xml file being called by the pyton script. see below

[root@dustpuppy root]# printconf-gui
Traceback (innermost last):
  File "/usr/sbin/printconf-gui", line 7, in ?
    import printconf_gui
  File "/usr/share/printconf/util/printconf_gui.py", line 1750, in ?
 
  File "/usr/share/printconf/util/printconf_conf.py", line 1069, in
foomatic_init_overview
    file = open(foomatic.overview_file_path)
IOError: [Errno 2] No such file or directory:
'/usr/share/foomatic/db/compiled/overview.xml'

happens when calling printconf-gui, printconf-tui or printtool



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.open xterm, su -
2.type printconf-gui
3.watch the error
	

Actual Results:  traceback error fdrrom pyton script

Expected Results:  the printer config tool sholud appear

Additional info:

Comment 1 Bert de Bruijn 2001-08-24 12:23:40 UTC
Had the same problem. 
Creating overview.xml as an empty file doesn't fix this.

Comment 2 Glen Foster 2001-08-24 15:52:19 UTC
We (Red Hat) really need to fix this before next release.

Comment 3 Need Real Name 2001-08-26 01:14:51 UTC
Had this problem with Roswell2 packages (foomatic-1.1-0.20010717.4.noarch.rpm,
printconf-0.3.23-1.i386.rpm, printconf-gui-0.3.23-1.i386.rpm).  Running "rpm
--verify foomatic" reveals a large number of missing files.  Downgrading
foomatic to a previous Rawhide package (foomatic-1.1-0.20010717.3.noarch.rpm)
seems to have fixed the problem, but I have only tested one printer driver (ljet3).

Comment 4 Tony Placilla 2001-08-26 14:29:41 UTC
Verified.
backreved to foomatic-1.1-0.20010717.3.noarch.rpm and tested with all available 
drivers for HP697C (including DJ6xxP) and it works flawlessly

Comment 5 Crutcher Dunnavant 2001-08-27 16:54:02 UTC
this is a 'upgrade over betas are not supported' bug.

the 'fix':

rm -rf /usr/share/foomatic/db
rpm -Uvh --force foomatic-?latest?.rpm


Note You need to log in before you can comment on or make changes to this bug.